# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Enumerations | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMolecule/Molecule.hpp File Reference

`#include <vlMolecule/link_config.hpp>`
`#include <vlMolecule/Atom.hpp>`
`#include <vlMolecule/Bond.hpp>`
`#include <vlGraphics/Geometry.hpp>`
`#include <vlGraphics/Actor.hpp>`
`#include <vlGraphics/ActorTree.hpp>`
`#include <vlGraphics/Text.hpp>`
`#include <vlCore/String.hpp>`
`#include <vlCore/KeyValues.hpp>`

Go to the source code of this file.

## Classes

class | vl::Molecule
| The Molecule class is used to manage and render 3D molecular structures. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Enumerations

enum | vl::EMoleculeStyle { vl::MS_AtomsOnly, vl::MS_BallAndStick, vl::MS_Sticks, vl::MS_Wireframe }
| Defines the main molecule styles. More...

## Functions

VLMOLECULE_EXPORT bool | vl::loadMOL2 (const String &path, std::vector< ref< Molecule > > &structures)
| Loads a Tripos MOL2 file.
VLMOLECULE_EXPORT bool | vl::loadMOL2 (VirtualFile *vfile, std::vector< ref< Molecule > > &structures)
| Loads a Tripos MOL2 file.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.